Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class CryptoServicePurpose

    java.lang.Object
      org.bouncycastle.crypto.CryptoServicePurpose

public final class CryptoServicePurpose
extends java.lang.Object

Field Summary
`static CryptoServicePurpose` | `AGREEMENT`
`static CryptoServicePurpose` | `ANY`
`static CryptoServicePurpose` | `AUTHENTICATION`
`static CryptoServicePurpose` | `DECRYPTION`
`static CryptoServicePurpose` | `ENCRYPTION`
`static CryptoServicePurpose` | `KEYGEN`
`static CryptoServicePurpose` | `PRF`
`static CryptoServicePurpose` | `SIGNING`
`static CryptoServicePurpose` | `VERIFICATION`
`static CryptoServicePurpose` | `VERIFYING`

Method Summary
`int` | `ordinal()`
`static CryptoServicePurpose[]` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGREEMENT

    public static final CryptoServicePurpose AGREEMENT

### ENCRYPTION

    public static final CryptoServicePurpose ENCRYPTION

### DECRYPTION

    public static final CryptoServicePurpose DECRYPTION

### KEYGEN

    public static final CryptoServicePurpose KEYGEN

### SIGNING

    public static final CryptoServicePurpose SIGNING

### VERIFYING

    public static final CryptoServicePurpose VERIFYING

### AUTHENTICATION

    public static final CryptoServicePurpose AUTHENTICATION

### VERIFICATION

    public static final CryptoServicePurpose VERIFICATION

### PRF

    public static final CryptoServicePurpose PRF

### ANY

    public static final CryptoServicePurpose ANY

Method Detail

### ordinal

    public int ordinal()

### values

    public static CryptoServicePurpose[] values()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD